var system = require("../../../system")
const CtlBase = require("../../ctl.base");

class TransactioninCtl extends CtlBase {
    constructor() {
        super("all", CtlBase.getServiceName(TransactioninCtl));
        this.body = "智薪云公司1";
    }

    async allList(qobj){
        var params = qobj.search || {};
        params.sign_body = this.body;
        this.doTimeCondition(params, ["signBegin", "signEnd"]);
        try {
            var page = await this.service.signPage(params);
            return system.getResult2(page);
        } catch (e) {
            console.log(e);
            return system.getErrResult2("您的网络不稳, 请稍后重试");
        }
    }

}

module.exports = TransactioninCtl;